Bug 10864 - 'testparm -v' does not show all per share parameters
'testparm -v' does not show all per share parameters
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
Blocks: 10077
  Show dependency treegraph
Reported: 2014-10-09 19:16 UTC by Karolin Seeger
Modified: 2014-12-07 19:20 UTC (History)
3 users (show)

See Also:

Cherry picked fix from master (1.28 KB, patch)
2014-12-01 03:47 UTC, Garming Sam
abartlet: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2014-10-09 19:16:29 UTC
'testparm -v' does not show per share parameters which are set to their default values (not specified in smb.conf).
Comment 1 Karolin Seeger 2014-11-04 20:24:46 UTC
I would like to have this one fixed before the final release. It's not critical in the classical meaning, but a lot of people use the testparm output for scripts or before upgrading. And the effect is really confusing.
Andrew, what do you think?
Comment 2 Karolin Seeger 2014-11-27 11:00:23 UTC
Could someone please comment on this one?

Comment 3 Stefan Metzmacher 2014-11-27 12:03:52 UTC
Garming, can you have a look at this? I think this is a blocker for 4.2.0
Comment 4 Garming Sam 2014-12-01 03:47:19 UTC
Created attachment 10470 [details]
Cherry picked fix from master

This patch just moves the if-condition around the other default check for the default share. It simply matches the code for global parameter dumping.
Comment 5 Karolin Seeger 2014-12-03 20:01:19 UTC
Pushed to autobuild-v4-2-test.
Comment 6 Karolin Seeger 2014-12-07 19:20:25 UTC
Pushed to v4-2-test.
Closing out bug report.